aboutsummaryrefslogtreecommitdiff
path: root/psu
diff options
context:
space:
mode:
Diffstat (limited to 'psu')
-rwxr-xr-xpsu12
1 files changed, 12 insertions, 0 deletions
diff --git a/psu b/psu
new file mode 100755
index 0000000..3f192bd
--- /dev/null
+++ b/psu
@@ -0,0 +1,12 @@
+#!/bin/sh -e
+
+# psu -- undo patches applied to pkgsrc build
+
+d=$(psx)
+echo=echo
+echo "${0##*/}: undoing patches..." 1>&2
+[ x"$1" = x"-x" ] && echo= || echo '(preview, no -x)' 1>&2
+find work -name '*.orig' | while read -r f; do
+ $echo cp "$d/${f#work/}" "${f%.orig}"
+ $echo rm "$f"
+done